gtkmm 4.10.0

Classes | Typedefs | Enumerations | Functions | Variables
Cairo Namespace Reference

## Classes
class | Device
struct | ColorStop
class | Context
class | FontFace
class | FontOptions
class | FtFontFace
class | FtScaledFont
class | GlitzSurface
class | Gradient
class | ImageSurface
class | LinearGradient
class | logic_error
class | Matrix
class | Path
class | Pattern
class | PdfSurface
class | PsSurface
class | QuartzFontFace
class | QuartzSurface
class | RadialGradient
class | RecordingSurface
class | Region
class | SaveGuard
class | ScaledFont
class | SolidPattern
class | Surface
class | SurfacePattern
class | SvgSurface
class | ToyFontFace
class | UserFontFace
class | Win32FontFace
class | Win32PrintingSurface
class | Win32ScaledFont
class | Win32Surface
class | XlibSurface

## Typedefs
typedef std::shared_ptr< T_CppObject > | RefPtr
typedef cairo_rectangle_t | Rectangle
typedef cairo_rectangle_int_t | RectangleInt
typedef cairo_font_extents_t | FontExtents
typedef cairo_text_extents_t | TextExtents
typedef cairo_text_cluster_t | TextCluster
typedef cairo_glyph_t | Glyph

## Enumerations
enum | Antialias
enum | Content
enum | SubpixelOrder
enum | FontType
enum | TextClusterFlags
enum | FtSynthesize
enum | PdfVersion
enum | PsLevel
enum | SvgVersion

## Functions
FtSynthesize | operator| (FtSynthesize a, FtSynthesize b)
FtSynthesize | operator& (FtSynthesize a, FtSynthesize b)
RefPtr< T_CppObject > | make_refptr_for_instance (T_CppObject *object)

## Variables
| ANTIALIAS_DEFAULT
| ANTIALIAS_NONE
| ANTIALIAS_GRAY
| ANTIALIAS_SUBPIXEL
| CONTENT_COLOR
| CONTENT_ALPHA
| CONTENT_COLOR_ALPHA
| SUBPIXEL_ORDER_DEFAULT
| SUBPIXEL_ORDER_RGB
| SUBPIXEL_ORDER_BGR
| SUBPIXEL_ORDER_VRGB
| SUBPIXEL_ORDER_VBGR
| FONT_TYPE_TOY
| FONT_TYPE_FT
| FONT_TYPE_WIN32
| FONT_TYPE_QUARTZ
| FONT_TYPE_USER
| TEXT_CLUSTER_FLAG_BACKWARD
| FT_SYNTHESIZE_BOLT
| FT_SYNTHESIZE_OBLIQUE
| PDF_VERSION_1_4
| PDF_VERSION_1_5
| PS_LEVEL_2
| PS_LEVEL_3
| SVG_VERSION_1_1
| SVG_VERSION_1_2